Skip to main content
POST
Create a Call

Authorizations

Authorization
string
header
required

A static Affinity API key, presented as a bearer token.

Body

application/json

Request body for creating a Call.

startTime
string<date-time>
required

The timestamp of when the call starts.

Example:

"2023-01-01T00:00:00Z"

attendees
object[]
required

The people who attended the call. Each item references a Person by id.

Required array length: 2 - 100 elements
Example:

Response

Created

id
integer<int64>
required

The call's unique identifier

Required range: 1 <= x <= 9007199254740991
Example:

1

loggingType
string
required

Indicates how the interaction was added to Affinity: either manually by a user ('manual') or automatically through Affinity's capture process ('automated'). Currently, calls can only be logged as 'manual'.

Allowed value: "manual"
Example:

"manual"

title
string | null
required

The call's title

Example:

"Example title"

startTime
string<date-time>
required

The timestamp of when the call starts

Example:

"2023-01-01T00:00:00Z"

endTime
string<date-time> | null
required

The timestamp of when the call ends

Example:

"2023-01-01T00:00:00Z"

allDay
boolean
required

Whether the call is all day

Example:

false

creator
Attendee · object | null
required

The person who created the call

createdAt
string<date-time>
required

The timestamp of when the call was created

Example:

"2023-01-01T00:00:00Z"

updatedAt
string<date-time> | null
required

The timestamp of when the call was updated

Example:

"2023-01-01T00:00:00Z"

attendeesPreview
AttendeesPreview · object
required

A preview of the attendees in the call